// Add env vars from files
// Note: actual env vars supersede .env file and .env file supersedes .env.defaults file
import { config } from 'dotenv-defaults'
import { getLogger } from './logger.js'
import { createApp } from './createApp.js'
import express from 'express'

config()

const root = express()
const app = createApp()

// Binds and listens for connections on the specified host and port
root.listen(process.env.PORT, () => {
  getLogger().info(`manifest-service listening on port ${process.env.PORT}`)
})

root.use(process.env.APP_ROOT, app)
